MyGUI: MyGUI::TextureUsage Struct Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Friends
MyGUI::TextureUsage Struct Reference

`#include <MyGUI_RenderFormat.h>`

## Public Types
enum | Enum { Default = MYGUI_FLAG_NONE , Static = MYGUI_FLAG(0) , Dynamic = MYGUI_FLAG(1) , Stream = MYGUI_FLAG(2) , Read = MYGUI_FLAG(3) , Write = MYGUI_FLAG(4) , RenderTarget = MYGUI_FLAG(5) }

## Public Member Functions
| TextureUsage (Enum _value=Default)
TextureUsage & | operator|= (TextureUsage const &_other)
bool | isValue (Enum _value) const
int | getValue () const

## Friends
bool | operator== (TextureUsage const &a, TextureUsage const &b)
bool | operator!= (TextureUsage const &a, TextureUsage const &b)
TextureUsage | operator| (Enum const &a, Enum const &b)
TextureUsage | operator| (TextureUsage const &a, TextureUsage const &b)

## Detailed Description

Definition at line 102 of file MyGUI_RenderFormat.h.

## Member Enumeration Documentation

## ◆ Enum

enum MyGUI::TextureUsage::Enum

Enumerator
Default |
Static |
Dynamic |
Stream |
Read |
Write |
RenderTarget |

Definition at line 104 of file MyGUI_RenderFormat.h.

## Constructor & Destructor Documentation

## ◆ TextureUsage()

MyGUI::TextureUsage::TextureUsage | ( | Enum | _value = Default | ) |
| inline

Definition at line 115 of file MyGUI_RenderFormat.h.

## Member Function Documentation

## ◆ getValue()

int MyGUI::TextureUsage::getValue | ( |  | ) | const
| inline

Definition at line 151 of file MyGUI_RenderFormat.h.

## ◆ isValue()

bool MyGUI::TextureUsage::isValue | ( | Enum | _value | ) | const
| inline

Definition at line 146 of file MyGUI_RenderFormat.h.

## ◆ operator|=()

TextureUsage & MyGUI::TextureUsage::operator|= | ( | TextureUsage const & | _other | ) |
| inline

Definition at line 130 of file MyGUI_RenderFormat.h.

## Friends And Related Symbol Documentation

## ◆ operator!=

bool operator!= | ( | TextureUsage const & | a,
|  | TextureUsage const & | b )
| friend

Definition at line 125 of file MyGUI_RenderFormat.h.

## ◆ operator==

bool operator== | ( | TextureUsage const & | a,
|  | TextureUsage const & | b )
| friend

Definition at line 120 of file MyGUI_RenderFormat.h.

## ◆ operator| [1/2]

TextureUsage operator| | ( | Enum const & | a,
|  | Enum const & | b )
| friend

Definition at line 136 of file MyGUI_RenderFormat.h.

## ◆ operator| [2/2]

TextureUsage operator| | ( | TextureUsage const & | a,
|  | TextureUsage const & | b )
| friend

Definition at line 141 of file MyGUI_RenderFormat.h.

The documentation for this struct was generated from the following file:

- MyGUI_RenderFormat.h